---
title: data-*
slug: Web/SVG/Attribute/data-*
tags:
  - Attribute
  - SVG
---
<p>{{APIRef("SVG")}}</p>

<p>The <code><strong>data-*</strong></code> SVG attributes are called custom data attributes. They let SVG markup and its resulting DOM share information that standard attributes can't, usually for scripting purposes. Their custom data are available via the {{domxref("SVGElement")}} interface of the element the attributes belong to, with the {{domxref("SVGElement.dataset")}} property.</p>

<p>The <code>*</code> can be replaced by any characters allowed in <a class="external" href="http://www.w3.org/TR/REC-xml/#NT-Name">XML's rules for names</a>, with the following restrictions:</p>

<ul>
 <li>Can't start with <code>xml</code>.</li>
 <li>No semicolons (<code>;</code>, <code>U+003A</code>).</li>
 <li>No capital <code>A</code> to <code>Z</code> letters.</li>
</ul>

<div class="note">
<p>The {{domxref("SVGElement.dataset")}} property is a {{domxref("DOMStringMap")}} that provides the attribute <code>data-test-value</code> via <code>SVGElement.dataset.testValue</code>. Hyphen characters (<code>-</code>, <code>U+002D</code>) are removed and the next letter is capitalized, resulting in the {{Glossary("camelCase")}} format.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('SVG2', "struct.html#DataAttributes", "data-*")}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td>Custom data attributes are new in SVG 2.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.data")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("SVGElement")}}</li>
 <li>The {{domxref("SVGElement.dataset")}} property used to access these attributes from scripts.</li>
 <li><a href="/en-US/docs/Web/Guide/HTML/Using_data_attributes">Using data attributes</a></li>
</ul>
